//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "wclAudio.hpp"
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TfmMain : public TForm
{
__published:	// IDE-managed Components
        TListView *lvDevices;
        TButton *btStart;
        TButton *btStop;
        TListBox *lbLog;
        TButton *btClear;
        TButton *btOpen;
        TButton *btClose;
        TButton *btConnect;
        TwclBluetoothAudioWatcher *wclBluetoothAudioWatcher;
        TwclBluetoothAudioReceiver *wclBluetoothAudioReceiver;
        void __fastcall btClearClick(TObject *Sender);
        void __fastcall btStartClick(TObject *Sender);
        void __fastcall btStopClick(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall wclBluetoothAudioWatcherDeviceAdded(
          TObject *Sender, const String Id, const String Name);
        void __fastcall wclBluetoothAudioWatcherDeviceRemoved(
          TObject *Sender, const String Id);
        void __fastcall wclBluetoothAudioWatcherStarted(TObject *Sender);
        void __fastcall wclBluetoothAudioWatcherStopped(TObject *Sender);
        void __fastcall wclBluetoothAudioReceiverClosed(TObject *Sender);
        void __fastcall wclBluetoothAudioReceiverListen(TObject *Sender);
        void __fastcall wclBluetoothAudioReceiverConnected(
          TObject *Sender);
        void __fastcall wclBluetoothAudioReceiverDisconnected(
          TObject *Sender);
        void __fastcall btOpenClick(TObject *Sender);
        void __fastcall btCloseClick(TObject *Sender);
        void __fastcall btConnectClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TfmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmMain *fmMain;
//---------------------------------------------------------------------------
#endif
